%define ver_major 0.0
%define evo_ver_major 1.5
%define db_ver 4.2
%def_disable static
%def_with sys_db4

Name: evolution-data-server
Version: %ver_major.97
Release: alt1

Summary: Evolution Data Server
License: GPL
Group: Graphical desktop/GNOME

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-0.0.93-alt-sys_db4.2.patch

%define libbonobo_ver 2.6.1
%define libgnome_ver 2.6.1.1

Requires: libbonobo2 >= %libbonobo_ver
Requires: libgnome >= %libgnome_ver

BuildPreReq: gnome-common
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libgnome-devel >= %libgnome_ver

# Automatically added by buildreq on Sat May 22 2004
BuildRequires: GConf2 ORBit2-devel docbook-dtds docbook-style-xsl docbook-utils esound flex gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gtk-doc indent libGConf2-devel libbonobo2-devel libdb4.2-devel libgcrypt-devel libgnome-devel libgnutls-devel libgpg-error-devel libldap-devel libpopt-devel libsoup-devel libstdc++-devel libtasn1-devel libxml2-devel perl-XML-Parser pkgconfig xml-common xsltproc zlib-devel

%description
Evolution Data Server provides a central location for
addressbook and calendar in the GNOME Desktop.

%package devel
Summary: Development files for Evolution Data Server
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides development files and documentation for Evolution
Data Server

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_libdir/%name

%prep
%setup -q
%if_with sys_db4
%patch -p1
%__rm -rf libdb
%endif

%build
%if_with sys_db4
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf
%endif

%configure \
    %{subst_enable static} \
    --with-openldap=yes \
    --with-static-ldap=no \
    --enable-gtk-doc \
    --disable-schemas-install

# SMP-incompatible build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome --output=%name.lang %name-%evo_ver_major

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%dir %_libexecdir
%_libexecdir/*
%_libdir/*.so.*
%_libdir/bonobo/servers/*
%_datadir/idl/*
%_datadir/%name-1.0
#%doc AUTHORS ChangeLog NEWS README  MAINTAINERS

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc %_gtk_docdir/*

%changelog
* Wed Aug 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.97-alt1
- 0.0.97

* Tue Jul 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.96-alt1
0.0.96

* Tue Jul 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.95-alt1
- 0.0.95

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.94.1-alt1
- 0.0.94.1

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.94-alt1
- 0.0.94

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.93-alt1
- 0.0.93

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.92-alt1
- 0.0.92

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.91-alt2
- rebuild against new gnutls (1.0.10)

* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.91-alt1
- 0.0.91

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.90-alt1
- 0.0.90

* Thu Feb 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.7-alt2
- rebuild against libdb4.2

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.7-alt1
- 0.0.7

* Tue Jan 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.0.6-alt1
- First build for Sisyphus.
